Page MenuHomePhabricator

Add script integration tests
Closed, ResolvedPublic

Description

Split off from T60084 ; pywikibot needs unit tests which use scripts to perform high level tasks on a test wiki and verifies the results are correct.


Version: core-(2.0)
Severity: enhancement

Details

Reference
bz70336

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:44 AM
bzimport added a project: Pywikibot-tests.
bzimport set Reference to bz70336.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Sep 3 2014, 11:34 AM

Split off from bug 58084 ; pywikibot needs unit tests that write to a (test) wiki, and integration tests which use scripts to perform high level tasks and verifies the results are correct.

Change 154469 had a related patch set uploaded by John Vandenberg:
Test metaclass

https://gerrit.wikimedia.org/r/154469

Change 154469 merged by XZise:
Test metaclass

https://gerrit.wikimedia.org/r/154469

write tests are now possible; testing scripts that write to a site still needs investigation and building.

jayvdb moved this task from Backlog to Framework on the Pywikibot-tests board.Nov 29 2014, 4:58 PM
jayvdb renamed this task from Add write tests to Add script integration tests.Dec 11 2014, 8:59 AM
jayvdb updated the task description. (Show Details)
jayvdb set Security to None.
jayvdb removed a subscriber: Unknown Object (????).

We have a high level set of script tests called .. 'script_tests.py', and specific tests for the scripts archivebot and data_ingestion (however these test the script class, and not the script cmd line interface).

Most scripts now have a 'main' which can be be used as an entry point to invoke a script using its command line interface. And we have a patch pending to provide an 'expect' like interface to control a scripts and supply values via stdin for scripts which interact with the user.

Change 173713 had a related patch set uploaded (by John Vandenberg):
Miscellaneous pwb improvements

https://gerrit.wikimedia.org/r/173713

Patch-For-Review

Change 173713 merged by jenkins-bot:
Miscellaneous pwb improvements

https://gerrit.wikimedia.org/r/173713

Change 181427 had a related patch set uploaded (by M4tx):
Add unit test for isbn script

https://gerrit.wikimedia.org/r/181427

Patch-For-Review

Change 181427 merged by jenkins-bot:
Add unit test for isbn script

https://gerrit.wikimedia.org/r/181427

jayvdb updated the task description. (Show Details)Jun 9 2015, 6:36 AM
jayvdb closed this task as Resolved.Jun 9 2015, 6:38 AM
jayvdb claimed this task.

We have some integration script tests. More are needed, and can be tracked in the Pywikibot-tests 'New tests needed' workboard column